Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 129274 - [Portuguese] Translation for lang_extra.php versions 1.1 to 1.12 (diff to 1.11)
Summary: [Portuguese] Translation for lang_extra.php versions 1.1 to 1.12 (diff to 1.11)
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Forums (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Forum Moderators
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-08 12:31 UTC by Jorge Manuel B. S. Vicetto
Modified: 2006-04-17 17:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Diff to the 1.1 version (lang_extra.php.diff,6.61 KB, text/plain)
2006-04-08 12:33 UTC, Jorge Manuel B. S. Vicetto
Details
Diff to the 1.3 version (lang_extra.php.diff,5.13 KB, text/plain)
2006-04-08 15:04 UTC, Jorge Manuel B. S. Vicetto
Details
Diff to the 1.3 version (corrected) (lang_extra.php.diff,5.21 KB, text/plain)
2006-04-08 15:40 UTC, Jorge Manuel B. S. Vicetto
Details
Diff to the 1.6 version (lang_extra.php.diff,1.94 KB, text/plain)
2006-04-09 09:32 UTC, Jorge Manuel B. S. Vicetto
Details
Diff to the 1.8 version (lang_extra.php.diff,2.03 KB, text/plain)
2006-04-09 16:42 UTC, Jorge Manuel B. S. Vicetto
Details
Diff to the 1.11 version (lang_extra.php.diff,2.33 KB, text/plain)
2006-04-17 16:47 UTC, Jorge Manuel B. S. Vicetto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-08 12:31:21 UTC
Hi.

I'm including a first draft of the translation based on the 1.1 lang_extra.php file version.
This draft is not complete. I purposely didn't translate  $lang['Bluebottle'] and $lang['Auto_moved_from']. Although I feel I understood the purpose of both, I don't know Bluebottle and would require a better understanding of the second to correctly translate it.
I've opted to keep many english words and to not translate the name and initials of the Gentoo Forums (OTW, GLSA, GWN, GLEP).
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-08 12:33:03 UTC
Created attachment 84224 [details]
Diff to the 1.1 version
Comment 2 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-04-08 12:59:38 UTC
(In reply to comment #0)
> Hi.
> 
> I'm including a first draft of the translation based on the 1.1 lang_extra.php
> file version.
> This draft is not complete. I purposely didn't translate  $lang['Bluebottle']
> and $lang['Auto_moved_from']. Although I feel I understood the purpose of both,
> I don't know Bluebottle and would require a better understanding of the second
> to correctly translate it.
Wat Bluebottle does is the following: after tthe forms send an emal to them, they require from us to autenticate that we are not spam bots. owever, as it is our state policy, we do not perform such checks.

> I've opted to keep many english words and to not translate the name and
> initials of the Gentoo Forums (OTW, GLSA, GWN, GLEP).
> 
That's fine.
Comment 3 Jonathan Coome (RETIRED) gentoo-dev 2006-04-08 13:11:51 UTC
(In reply to comment #0)
> This draft is not complete. I purposely didn't translate  $lang['Bluebottle']
> and $lang['Auto_moved_from']. 

$lang['Auto_moved_from'] is the label next to a checkbox that moderators get when moving threads, which when ticked will automatically reply to the thread with a "Moved from Foo to Bar" post. 
Comment 4 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-04-08 13:24:30 UTC
First of all, the patch you provided is bogus... please check it locally next time before uploading it.

Second thing,

-$lang['Watch_topics_read'] = 'Read';
-$lang['Watch_topics_new'] = 'New';
+$lang['Watch_topics_read'] = 'Ler';
+$lang['Watch_topics_new'] = 'Novo';

Here 'Read' means that the topic *was read* already, _not_ *to read* :)
Comment 5 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-04-08 13:25:09 UTC
In CVS :) Thanks.
Comment 6 Jonathan Coome (RETIRED) gentoo-dev 2006-04-08 13:35:47 UTC
(In reply to comment #4)
> First of all, the patch you provided is bogus... please check it locally next
> time before uploading it.

More specifically - I think you downloaded the file with the wrong link from viewcvs, as the < and > characters had been turned into the html entities &lt; and &gt;. In the original file they were < and > so the patch didn't apply. Just something to watch out for. :-)
Comment 7 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-08 14:07:45 UTC
(In reply to comment #3)

> $lang['Auto_moved_from'] is the label next to a checkbox that moderators get
> when moving threads, which when ticked will automatically reply to the thread
> with a "Moved from Foo to Bar" post. 

I thought that much, but since I'm not a moderator ;-), I wasn't sure.


(In reply to comment #4)

-$lang['Watch_topics_read'] = 'Read';
-$lang['Watch_topics_new'] = 'New';
+$lang['Watch_topics_read'] = 'Ler';
+$lang['Watch_topics_new'] = 'Novo';

Here 'Read' means that the topic *was read* already, _not_ *to read* :)

Deathwing00, thank you for the correction. I wasn't aware that you spoke Portuguese.


(In reply to comment #6)

(In reply to comment #4)
> First of all, the patch you provided is bogus... please check it locally next
> time before uploading it.

More specifically - I think you downloaded the file with the wrong link from
viewcvs, as the < and > characters had been turned into the html entities &lt;
and &gt;. In the original file they were < and > so the patch didn't apply.
Just something to watch out for. :-)

I'm sorry for that. Now that you told me so, I remember that I did donwload the html file and did not save the file as php. :-(
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-08 15:04:44 UTC
Created attachment 84231 [details]
Diff to the 1.3 version

This is the second draft to the translation of the lang_extra.php file.
I think this time I'm using the correct file formats, although I'm not sure about the encoding. I've used kate and saved the file in ISO-8859-1 format, but since I'm using UTF-8 on my system, I'm not sure if everything is correct.
Comment 9 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-08 15:40:15 UTC
Created attachment 84235 [details]
Diff to the 1.3 version (corrected)

Updated the diff file to include the previous warning made by Deathwing00.
Comment 10 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-04-09 03:45:34 UTC
In CVS, thanks :)
Comment 11 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-09 09:32:12 UTC
Created attachment 84294 [details]
Diff to the 1.6 version

Updated the translation of lang_extra.php file to the latest revision.
Comment 12 Tom Knight (RETIRED) gentoo-dev 2006-04-09 09:42:09 UTC
Added to CVS, thanks.
Comment 13 Tom Knight (RETIRED) gentoo-dev 2006-04-09 10:16:20 UTC
One thing to note is that there shouldn't be any extra whitespace added after the last ?> as it causes php to show an error. I'll update the translator guidelines to include this information.
Comment 14 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-09 16:42:44 UTC
Created attachment 84333 [details]
Diff to the 1.8 version

Small revision to increase coherence after reviewing the testing forums.
Comment 15 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-04-09 17:04:24 UTC
In CVS. Thank you.
Comment 16 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2006-04-17 16:47:39 UTC
Created attachment 84869 [details]
Diff to the 1.11 version

Updated the translation of lang_extra.php file to the latest revision.
Comment 17 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-04-17 17:53:24 UTC
Fixed in CVS. Please, next revision in a new bug :)